Skip to main content
PATCH
/
api
/
team
/
tags
/
{tagId}
JavaScript
import BrainbaseLabs from 'brainbase-labs';

const client = new BrainbaseLabs({
  apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});

const tag = await client.team.tags.update('tagId');

console.log(tag.id);
import os
from brainbase_labs import BrainbaseLabs

client = BrainbaseLabs(
    api_key=os.environ.get("BRAINBASE_LABS_API_KEY"),  # This is the default and can be omitted
)
tag = client.team.tags.update(
    tag_id="tagId",
)
print(tag.id)
curl --request PATCH \
  --url https://brainbase-monorepo-api.onrender.com/api/team/tags/{tagId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "label": "<string>",
  "color": "<string>"
}
'


{
  "id": "<string>",
  "label": "<string>",
  "color": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "teamId": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication

Path Parameters

tagId
string
required

Body

application/json
label
string
color
string

Response

Updated tag

id
string
required
label
string
required
color
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
teamId
string
required